Author Topic: ArcaMapper - Parameter Incorrect  (Read 1334 times)

Eric Erickson

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 60
  • Karma: +0/-0
    • View Profile
ArcaMapper - Parameter Incorrect
« on: September 25, 2020, 09:41:39 pm »
Using ArcaMapper

I'm attempting to mount some shares on my WD MyCloud. When I attempt to do the mount via ArcaMapper, I get a 'parameter incorrect' popup and the explanation shows.

"Mount Janna@\\192.168.0.155\ElvishSoftware to S:\"
The Parameter is incorrect.

I get the S: Drive in the connections list, but Dir on it results in a SYS0002 Error (Can not find the file).

ArcaMapper is 2.6.20200530 on an ArcaOS v5.0.5 in a Virtual Box Session.

This all works find on an eCS V2.2 using EVFSGUI.

Any ideas on whats going on here?

Some more details. This all works find on an ArcaOS V5.0.3 system

Samba Details (from About) on V5.0.3

Samba Client Versions:
File system    NDFS32 Version 3.028
Plugin file    D:\PROGRAMS\NDFS\NDPLUGS\NDPSMB.DLL
Plugin Vendor    netlabs
Plugin Revision    3.03.0
Plugin Date/Time    24 Sep 2017 16:18:51
Plugin Build Machine    ARCAOS-D0C2
Plugin Language Code    en
Plugin File Version    3.3
Plugin Description    NDPSMB - SMBFS NetDrive External Plugin Build 20170924
Commandline utilities    Version 3.3.16-eCS 1.1.4-804
options.!appname_long    Version 2.6.20180622

Details from V5.0.5 ArcaMapper About

Samba Client Versions:
File system    NDFS32 Version 3.028
Plugin file    D:\PROGRAMS\NDFS\NDPLUGS\NDPSMB.DLL
Plugin Vendor    netlabs
Plugin Revision    3.07.0
Plugin Date/Time    24 Sep 2019 18:47:59
Plugin Build Machine    ARCAOS-D0C2
Plugin Language Code    en
Plugin File Version    3.7
Plugin Description    NDPSMB - SMBFS NetDrive External Plugin Build 20190924
Commandline utilities    Version 3.6.25-OS/2 v1.3.0-1011
options.!appname_long    Version 2.6.20200530



« Last Edit: September 25, 2020, 10:27:42 pm by Eric Erickson »

Eric Erickson

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 60
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #1 on: September 28, 2020, 09:09:22 pm »
Ok,

I've figured out that something I've installed is the issue. Going to try the re-install and see if that works, otherwise I'll simply re-build the system, one application at a time and see if I can identify the culprit.

Cheers,

Doug Bissett

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 60
  • Posts: 1385
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #2 on: September 28, 2020, 11:04:46 pm »
I believe there were some changes to authentication in the newer plugin (defaults). You may need to set ArcaMapper to use a lower security level, or, figure out how to set the device to use a higher level. open ArcaMapper, and go to Global Settings, page 2 (expand the window width, and a HELP button should appear).Under Client Min Protocol, try different settings, but put it back, if that doesn't help.

Eric Erickson

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 60
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #3 on: September 29, 2020, 10:45:35 pm »
I believe there were some changes to authentication in the newer plugin (defaults). You may need to set ArcaMapper to use a lower security level, or, figure out how to set the device to use a higher level. open ArcaMapper, and go to Global Settings, page 2 (expand the window width, and a HELP button should appear).Under Client Min Protocol, try different settings, but put it back, if that doesn't help.

Well I figured out what has broken Samba. It turns out to be Visual Age C++ V3.0. As soon as I install the compiler and libraries, Samba stops working to add new mounts. Now surprisingly any mounts that are already in existence before I do the install are retained across boots, its just that I can not perform any new mounts.


Lars

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 66
  • Posts: 648
  • Karma: +4/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #4 on: September 29, 2020, 11:11:25 pm »
That sounds like there are two DLLs with identical name but completely different functionality.

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 27
  • -Receive: 94
  • Posts: 694
  • Karma: +25/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #5 on: September 30, 2020, 12:07:46 am »
That sounds like there are two DLLs with identical name but completely different functionality.

I think Arcamapper is a VX Rexx (or similar app). I suspect that is what's broken, not the Samba code itself....

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 32
  • Posts: 592
  • Karma: +1/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #6 on: September 30, 2020, 01:25:05 am »
It turns out to be Visual Age C++ V3.0. As soon as I install the compiler and libraries, Samba stops working to add new mounts.
VAC 3 comes with many outdated files. I just won't install that normally.

Instead you can start everything from an environment set with scripts. It's not that hard, once you've extracted the files and copied the config.sys after the installation to create a cmd script from the additions. That's also the way to switch between several compilers and toolkits. Additionally, that would save to clutter your config.sys.

Always make sure that the files from the (most recent) toolkit were found first in the paths (before outdated ones in the compiler tree).

Apart from what Lars wrote about double DLL names, it may also be a shared memory problem. Ensure that all parts of VAC are unloaded before starting ArcaMapper. E.g. a process called DDE4LOAD (or similar) may be killed first. BTW: I don't think that there are common files used by either VX-REXX/ArcaMapper/SaMBa and VAC 3 that are loaded by one component and required by the other in a different version.

Eric Erickson

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 60
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #7 on: September 30, 2020, 03:10:11 am »
That sounds like there are two DLLs with identical name but completely different functionality.

Well IO wondered that too, but once i uninstall the Vac++ and reboot, its still broken.

One of the things I'm trying to find, but have not been able to track down, is what is the syntax to use Samba to map a drive under ArcaOs. That way I can get the AcraMapper out of the equation and determine if samba is really broken or not. I can find lots of examples on the web, but they are all oriented towards linux boxes which don't use a Drive Letter based mount system.




Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 27
  • -Receive: 94
  • Posts: 694
  • Karma: +25/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #8 on: September 30, 2020, 05:29:41 am »
That sounds like there are two DLLs with identical name but completely different functionality.

Well IO wondered that too, but once i uninstall the Vac++ and reboot, its still broken.

One of the things I'm trying to find, but have not been able to track down, is what is the syntax to use Samba to map a drive under ArcaOs. That way I can get the AcraMapper out of the equation and determine if samba is really broken or not. I can find lots of examples on the web, but they are all oriented towards linux boxes which don't use a Drive Letter based mount system.

you should be able to use net.exe for this.

Syntax is as per the IBM LAN requestor but it allows you to specify username and password on the command line.

Lars

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 66
  • Posts: 648
  • Karma: +4/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #9 on: September 30, 2020, 01:10:50 pm »
That sounds like there are two DLLs with identical name but completely different functionality.

Well IO wondered that too, but once i uninstall the Vac++ and reboot, its still broken.

VAC 3.x has the unfortunate misbehaviour to install completely outdated SOM DLLs. And its installer prepends the LIBPATH statement with the path to these outdated DLLs. Therefore, DIRECTLY AFTER installation of VAC 3.x and BEFORE rebooting, you will need to modify config.sys to put this prepended path to the very end of LIBPATH. Likewise, after deinstallation, check that all files are gone and that LIBPATH (and also PATH, HELP, DPATH etc.) are correct (no longer containing paths of the VAC 3.x installation).
SOM is used all across the board, most notably, the complete WPS builds upon SOM.
« Last Edit: September 30, 2020, 01:14:04 pm by Lars »

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 32
  • Posts: 592
  • Karma: +1/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #10 on: September 30, 2020, 04:39:56 pm »
VAC 3.x has the unfortunate misbehaviour to install completely outdated SOM DLLs
Good point. Now I consider this most likely.

Doug Bissett

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 60
  • Posts: 1385
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #11 on: September 30, 2020, 06:24:17 pm »
Quote
Good point. Now I consider this most likely.

YEARS ago (warp4 days), when I was playing with  this, the VAC stuff was out of date, and you needed to take steps to be sure that the system found the newer DLLs (and probably other things too), before it found what VAC installed. As noted above, it is best to use a wrapper around VAC, and remove ALL of the VAC entries from your CONFIG.SYS. If I remember correctly, there are some things in the RPM/YUM stuff, that will conflict too, but I quit trying to figure out VAC long before RPM/YUM showed up.

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 32
  • Posts: 592
  • Karma: +1/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #12 on: September 30, 2020, 06:40:49 pm »
If I remember correctly, there are some things in the RPM/YUM stuff, that will conflict too, but I quit trying to figure out VAC long before RPM/YUM showed up.
Not true, at least not when using scripts to set the env. Even C Set/2 can be used that way on a system with an installed RPM env.

Eric Erickson

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 1
  • Posts: 60
  • Karma: +0/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #13 on: October 06, 2020, 11:59:48 pm »
That sounds like there are two DLLs with identical name but completely different functionality.

Well IO wondered that too, but once i uninstall the Vac++ and reboot, its still broken.

VAC 3.x has the unfortunate misbehaviour to install completely outdated SOM DLLs. And its installer prepends the LIBPATH statement with the path to these outdated DLLs. Therefore, DIRECTLY AFTER installation of VAC 3.x and BEFORE rebooting, you will need to modify config.sys to put this prepended path to the very end of LIBPATH. Likewise, after deinstallation, check that all files are gone and that LIBPATH (and also PATH, HELP, DPATH etc.) are correct (no longer containing paths of the VAC 3.x installation).
SOM is used all across the board, most notably, the complete WPS builds upon SOM.

I've been aware of that for many years and always do a Config.sys Edit before I reboot and let the Workframe/2 Phase II install run.

Dariusz Piatkowski

  • Hero Member
  • *****
  • Thank You
  • -Given: 14
  • -Receive: 20
  • Posts: 822
  • Karma: +4/-0
    • View Profile
Re: ArcaMapper - Parameter Incorrect
« Reply #14 on: October 23, 2020, 08:41:52 pm »
Hi Eric,

For what it's worth, I have an install here with VAC4, YUM/RPM and Samba client (either through CLI or through NetDrive). All work fine, the VAC stuff is in CONFIG.SYS (see attached for reference).

Part of the VAC install is the 'set environment' object. Look for \bin\SetEnv.cmd (see attached for reference), on my box that's a combination of VAC as well as the OS2 Toolkit. They are installed in the following locations:

1) TOOLKIT - G:\code\tools\TOOLKIT
2) VAC

You should really try the Samba client connect attempt from command line, that way if anything does show up as being wrong/not-quite-right you may be able to visually spot it right there and than.
« Last Edit: October 23, 2020, 08:48:45 pm by Dariusz Piatkowski »